#include <bits/stdc++.h>

using namespace std;

main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long int n;
    long long int d=0;
    cin>>n;

    double p[n],k,m;
    long int a[n];

    for(long int i=0;i<n;i++)
        cin>>a[i]>>p[i];

    for(long int i=0;i<n;i++)
    {
        for(long int j=0;j<n;j++)
        {
            if(p[i]<=p[j])
                d=d+a[j];

        }
        k=d*p[i]/100;
        d=0;
        if(m<k)
            m=k;
    }

   // sort(c, c+n);

    printf("%f",m);
}
//suma = (c[n-1]-c[i-1])*procenat[i]